Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DefaultResourceLocator

    java.lang.Object
      org.eclipse.birt.report.model.api.DefaultResourceLocator

All Implemented Interfaces:
  IResourceLocator

    public class DefaultResourceLocator

extends java.lang.Object
implements IResourceLocator

The default implementation for interface `IResourceLocator`. This implementation is empty and does nothing to search the resource.

See Also:
  `IResourceLocator`, `SessionHandle`

Field Summary

Fields inherited from interface org.eclipse.birt.report.model.api.IResourceLocator
`CASCADING_STYLE_SHEET, FRAGMENT_RESOURCE_HOST, IMAGE, JAR_FILE, LIBRARY, MESSAGE_FILE, OTHERS`

Constructor Summary
`DefaultResourceLocator()`

Method Summary
`java.net.URL` | `findResource(ModuleHandle moduleHandle, java.lang.String fileName, int type)` Searches the file by the given file name.
`java.net.URL` | `findResource(ModuleHandle moduleHandle, java.lang.String fileName, int type, java.util.Map appContext)` Searches the file by the given file name and the given user's information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResourceLocator

    public DefaultResourceLocator()

Method Detail

### findResource

    public java.net.URL findResource(ModuleHandle moduleHandle,
                                     java.lang.String fileName,
                                     int type)

  Description copied from interface: `IResourceLocator`
  Searches the file by the given file name. The actual search algorithm will be different in different environment. The file type is just helpful when different file searching steps for different files are required. Because new file type will be added if design file includes new file, the default searching steps are encouraged for unknown file type to improve robustness.

  Specified by:
    `findResource` in interface `IResourceLocator`
  Parameters:
    `moduleHandle` - The module to tell the search context. This could be null if the search algorithm does not need the design. It can be the instance of one of `ReportDesignHandle` and `LibraryHandle`.
    `fileName` - The file name to be searched. This could be an absolute path or a relative path.
    `type` - The type of the file to search. The value must be one of `IMAGE`,`LIBRARY` , `CASCADING_STYLE_SHEET` and `MESSAGEFILE`.
  Returns:
    The `URL` object. `null` if the file can not be found.

### findResource

    public java.net.URL findResource(ModuleHandle moduleHandle,
                                     java.lang.String fileName,
                                     int type,
                                     java.util.Map appContext)

  Description copied from interface: `IResourceLocator`
  Searches the file by the given file name and the given user's information. The actual search algorithm will be different in different environment. The file type is just helpful when different file searching steps for different files are required. Because new file type will be added if design file includes new file, the default searching steps are encouraged for unknown file type to improve robustness.

  Specified by:
    `findResource` in interface `IResourceLocator`
  Parameters:
    `moduleHandle` - The module to tell the search context. This could be null if the search algorithm does not need the design. It can be the instance of one of `ReportDesignHandle` and `LibraryHandle`.
    `fileName` - The file name to be searched. This could be an absolute path or a relative path.
    `type` - The type of the file to search. The value must be one of `IMAGE`,`LIBRARY` , `CASCADING_STYLE_SHEET` and `MESSAGEFILE`.
    `appContext` - The map containing the user's information
  Returns:
    The `URL` object. `null` if the file can not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.